Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2
Class BambooActionSupport

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

Direct Known Subclasses:
  AbstractAction, AbstractSetupAction, AddProject, BuildActionSupport, BuildConfigurationSupport, ChangePassword, configureAutoFavouriteAction, ConfigureGroup, ConfigureInstantMessagingServer, ConfigureJiraServer, ConfigureMailServer, ConfigurePipeline, ConfigureProfile, ConfigureSecurity, ConfigureUser, CreateBuild, Error, Export, FilterCookieWriterAction, FiveOhOh, GotoAuthors, Logout, MoveBuilds, ReindexAction, SignupUser, ViewAdministrators, ViewAuditLog, ViewAuthor, ViewAuthorChart, ViewAuthors, ViewBuildResultsByJiraKey, ViewBuildResultsForLabelAction, ViewBuildResultsTable, ViewLabels, ViewProject, ViewRecentlyCompletedBuilds, ViewReport, ViewReportChart

    public class BambooActionSupport

extends ActionSupport
implements ErrorCollection, ReturnUrlAware, BambooSessionAware

Field Summary
`protected BuildManager` | `buildManager`
`static String` | `CONFIRM`
`protected CookieCutter` | `cookieCutter`

Constructor Summary
`BambooActionSupport()`

Method Summary
`void` | `addError(String field, String message)` Deprecated. Use `#addFieldError(String, String)` instead
`void` | `addError(String prefix, String field, String message)` Adds a new form validation error with a given prefix.
`void` | `addErrorCollection(ErrorCollection errors)` Populate this ErrorCollection with general and field-specific errors.
`void` | `addErrorMessage(String message)` Deprecated. Use `#addActionError(String)` instead
`void` | `addErrorMessages(Collection errorMessages)` Append new error messages to those already collected.
`void` | `addErrors(Map errors)` Append new field-specific errors to those already collected.
`void` | `addIllegalArgumentException(String field, IllegalArgumentException e)`
`String` | `doDefault()`
`boolean` | `doesLabelKeyHaveMatchingDescription(String labelKey)`
`String` | `getAsPreformattedText(Object o)`
`Bamboo` | `getBamboo()` Allows access to the Bamboo container.
`BambooSession` | `getBambooSession()`
`Collection` | `getBreadCrumbs()`
`BuildManager` | `getBuildManager()`
`String` | `getConglomerateCookieValue(String cookieKey, String conglomerateKey)`
`CookieCutter` | `getCookieCutter()`
`String` | `getCookieValue(String key)`
`static String` | `getCurrentUrl()`
`String` | `getDescriptionFromLabelKey(String labelKey)`
`Collection` | `getFlushedErrorMessages()` Get error messages, then get rid of them.
`String` | `getReturnUrl()`
`User` | `getUser()`
`List` | `getWebItemsForSection(String sectionName)`
`WebResourceManager` | `getWebResourceManager()`
`List` | `getWebSectionsForLocation(String location)`
`boolean` | `hasAnyErrors()` Whether any errors (of any type - field-specific or otherwise) have been collected.
`boolean` | `hasBuilds()`
`boolean` | `hasPerm(String path)`
`boolean` | `isEnableSignup()`
`boolean` | `isSelectFieldAndNull(String buildKeysField)`
`void` | `setAuthenticationContext(BambooAuthenticationContext authenticationContext)`
`void` | `setBambooPermissionManager(BambooPermissionManager bambooPermissionManager)`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setCookieCutter(CookieCutter cookieCutter)`
`void` | `setErrorMessages(Collection errorMessages)` Deprecated. Use `#setActionErrors(Collection)` instead
`void` | `setHtmlUtils(HtmlUtils htmlUtils)`
`void` | `setReturnUrl(String returnUrl)`
`void` | `setWebInterfaceManager(WebInterfaceManager webInterfaceManager)`
`void` | `setWebResourceManager(WebResourceManager webResourceManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### CONFIRM

    public static final String CONFIRM

See Also:
  Constant Field Values

### cookieCutter

    protected CookieCutter cookieCutter

### buildManager

    protected BuildManager buildManager

Constructor Detail

### BambooActionSupport

    public BambooActionSupport()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Throws:
    `Exception`

### getBambooSession

    public BambooSession getBambooSession()

  Specified by:
    `getBambooSession` in interface `BambooSessionAware`

### getBamboo

    public Bamboo getBamboo()

  Allows access to the Bamboo container. Currently not injected using Spring

  Returns:

### getUser

    public User getUser()

### getAsPreformattedText

    public String getAsPreformattedText(Object o)

### doesLabelKeyHaveMatchingDescription

    public boolean doesLabelKeyHaveMatchingDescription(String labelKey)

### getDescriptionFromLabelKey

    public String getDescriptionFromLabelKey(String labelKey)

### hasPerm

    public boolean hasPerm(String path)

### isEnableSignup

    public boolean isEnableSignup()

### hasBuilds

    public boolean hasBuilds()

### getBreadCrumbs

    public Collection getBreadCrumbs()

### setHtmlUtils

    public void setHtmlUtils(HtmlUtils htmlUtils)

### setAuthenticationContext

    public void setAuthenticationContext(BambooAuthenticationContext authenticationContext)

### getReturnUrl

    public String getReturnUrl()

  Specified by:
    `getReturnUrl` in interface `ReturnUrlAware`

### setReturnUrl

    public void setReturnUrl(String returnUrl)

  Specified by:
    `setReturnUrl` in interface `ReturnUrlAware`

### getCurrentUrl

    public static String getCurrentUrl()

### getCookieValue

    public String getCookieValue(String key)

### getWebItemsForSection

    public List getWebItemsForSection(String sectionName)

### getWebSectionsForLocation

    public List getWebSectionsForLocation(String location)

### addError

    public void addError(String prefix,
                         String field,
                         String message)

  Description copied from interface: `ErrorCollection`
  Adds a new form validation error with a given prefix. ie. prefix of "builder.ant" and field "target" will result in a key of "builder.ant.target"

  Specified by:
    `addError` in interface `ErrorCollection`
  Parameters:
    `prefix` - The prefix of the field in . form
    `field` - The id of the form element in error
    `message` - The error message to display to the user

### getFlushedErrorMessages

    public Collection getFlushedErrorMessages()

  Description copied from interface: `ErrorCollection`
  Get error messages, then get rid of them.

  Specified by:
    `getFlushedErrorMessages` in interface `ErrorCollection`
  Returns:
    The (now cleared) error messages.

### addErrorCollection

    public void addErrorCollection(ErrorCollection errors)

  Description copied from interface: `ErrorCollection`
  Populate this ErrorCollection with general and field-specific errors.

  Specified by:
    `addErrorCollection` in interface `ErrorCollection`
  Parameters:
    `errors` - ErrorCollection whose errors/messages we obtain.

### addErrorMessages

    public void addErrorMessages(Collection errorMessages)

  Description copied from interface: `ErrorCollection`
  Append new error messages to those already collected.

  Specified by:
    `addErrorMessages` in interface `ErrorCollection`
  Parameters:
    `errorMessages` - Collection of error strings.

### addErrors

    public void addErrors(Map errors)

  Description copied from interface: `ErrorCollection`
  Append new field-specific errors to those already collected.

  Specified by:
    `addErrors` in interface `ErrorCollection`
  Parameters:
    `errors` - of String: String pairs, eg. {"assignee": "Assignee is required"}

### hasAnyErrors

    public boolean hasAnyErrors()

  Description copied from interface: `ErrorCollection`
  Whether any errors (of any type - field-specific or otherwise) have been collected.

  Specified by:
    `hasAnyErrors` in interface `ErrorCollection`

### addError

    public void addError(String field,
                         String message)

  Deprecated. Use `#addFieldError(String, String)` instead

  Description copied from interface: `ErrorCollection`
  Add a field-specific error message.

  Specified by:
    `addError` in interface `ErrorCollection`
  Parameters:
    `field` - Field name, eg. "assignee"
    `message` - Error message.

### addErrorMessage

    public void addErrorMessage(String message)

  Deprecated. Use `#addActionError(String)` instead

  Description copied from interface: `ErrorCollection`
  Add error message relating to system state (not field-specific).

  Specified by:
    `addErrorMessage` in interface `ErrorCollection`
  Parameters:
    `message` - Error message.

### setErrorMessages

    public void setErrorMessages(Collection errorMessages)

  Deprecated. Use `#setActionErrors(Collection)` instead

  Description copied from interface: `ErrorCollection`
  Populate this ErrorCollection with a new set of messages (existing errors are lost).

  Specified by:
    `setErrorMessages` in interface `ErrorCollection`
  Parameters:
    `errorMessages` - List of error message `String`s.

### addIllegalArgumentException

    public void addIllegalArgumentException(String field,
                                            IllegalArgumentException e)

### setCookieCutter

    public void setCookieCutter(CookieCutter cookieCutter)

### getCookieCutter

    public CookieCutter getCookieCutter()

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### getBuildManager

    public BuildManager getBuildManager()

### setBambooPermissionManager

    public void setBambooPermissionManager(BambooPermissionManager bambooPermissionManager)

### setWebInterfaceManager

    public void setWebInterfaceManager(WebInterfaceManager webInterfaceManager)

### setWebResourceManager

    public void setWebResourceManager(WebResourceManager webResourceManager)

### getWebResourceManager

    public WebResourceManager getWebResourceManager()

### isSelectFieldAndNull

    public boolean isSelectFieldAndNull(String buildKeysField)

### getConglomerateCookieValue

    public String getConglomerateCookieValue(String cookieKey,
                                             String conglomerateKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.